Subject: Re: [PATCH 2/5] t4001-diff-rename: wrap file creations in a test

From: Matthieu Moy <[email-masked]>
Date: Wed, 24 Feb 2016 14:16:02 +0100

Jeff King <[email-masked]> writes:

> On Tue, Feb 23, 2016 at 06:44:55PM +0100, Matthieu Moy wrote:
>
>> Signed-off-by: Matthieu Moy <[email-masked]>
>> ---
>>  t/t4001-diff-rename.sh | 38 +++++++++++++++++++++-----------------
>>  1 file changed, 21 insertions(+), 17 deletions(-)
>> 
>> diff --git a/t/t4001-diff-rename.sh b/t/t4001-diff-rename.sh
>> index 2f327b7..bfb364c 100755
>> --- a/t/t4001-diff-rename.sh
>> +++ b/t/t4001-diff-rename.sh
>> @@ -9,7 +9,9 @@ test_description='Test rename detection in diff engine.
>>  . ./test-lib.sh
>>  . "$TEST_DIRECTORY"/diff-lib.sh
>>  
>> -echo >path0 'Line 1
>> +test_expect_success 'setup' '
>> +	cat >path0 <<\EOF &&
>> +Line 1
>>  Line 2
>>  Line 3
>>  Line 4
>
> Should we use "<<-" here (and elsewhere) to indent the sample lines?

I did not use it because I thought it would strip the leading space
(' '), but actually it strips only tabs so we can definitely use it.

I changed it to <<- and pushed it here:
https://github.com/moy/git/commits/set-diff-renames

I'll resend later.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/